Bug report: Intel MPI 3.1: gcc version detection code broken for LANG=ja.JP-UTF-8

Bug report: Intel MPI 3.1: gcc version detection code broken for LANG=ja.JP-UTF-8

Hi,

When I use mpig++ or mpiicpc script on our lab's machine(CentOS5) with LANG=ja_JP.UTF-8,
the scripts won't work correctly with output:
$ mpiicpc -show
/opt/intel/impi/3.1/bin64/mpiicpc: line 297: [: too many arguments
...
$ mpig++ -show
/opt/intel/impi/3.1/bin64/mpigxx: line 294: [: too many arguments
...
When I set LANG=C, no problem occurred.
I looked at the mpigxx scripts carefully. It says:
/opt/intel/impi/3.1/bin64/mpigxx: line 294: vers=`gcc -v 2>&1 | grep "gcc version" | sed -e 's/gcc version //' | awk '{print $1}'`

On recent gcc, `gcc -v` output is localized into Japanese when LANG=ja.
Using `gcc --version` output is better when handling version number.

Change to:
`gcc --version | head -n 1 | cut -f 3 -d ' '`
will fix this problem.

Regards,
Ryo Igarashi

2 posts / novo 0
Último post
Para obter mais informações sobre otimizações de compiladores, consulte Aviso sobre otimizações.

Hello Ryo,

Thank you for letting us know. I've submitted a bug with our internal development team.

Regards,

~Gergana Slavova

===================================

Gergana Slavova

Technical Consulting Engineer

Intel Cluster Tools

E-mail: gergana.s.slavova_at_intel.com

Phone: (217) 403-4218

Gergana Slavova
Technical Consulting Engineer
Intel® Cluster Tools
E-mail: gergana.s.slavova_at_intel.com

Deixar um comentário

Faça login para adicionar um comentário. Não é membro? Inscreva-se hoje mesmo!